local array = include( "modules/array" )
local util = include( "modules/util" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local abilityutil = include( "sim/abilities/abilityutil" )

return {
	name = STRINGS.ABILITIES.DISARM_TRAP,

	getName = function( self, sim, abilityOwner, abilityUser )
		return self.name
	end,

	createToolTip = function( self, sim, unit )
		return abilityutil.formatToolTip(STRINGS.ABILITIES.DISARM_TRAP, STRINGS.ABILITIES.DISARM_TRAP_DESC, simdefs.DEFAULT_COST)
	end,

	ghostable = true,
	proxy = true,
	profile_icon = "gui/icons/action_icons/Action_icon_Small/icon-action_drop_give_small.png",

	canUseAbility = function( self, sim, abilityOwner, abilityUser )

		if not abilityUser or not abilityUser then
			return false
		end

		if not simquery.isSameLocation( abilityOwner, abilityUser ) then
			return false
		end

		if abilityOwner:hasAbility( "carryable" ) then
			return false
		end

		return true
	end,

	executeAbility = function( self, sim, abilityOwner, abilityUser )

		abilityOwner:giveAbility( "carryable", 1 ) -- usually, carryable is the first for items

		if abilityOwner:getTraits().mainframe_item then
			abilityOwner:getTraits().mainframe_item = false
		end

		sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = abilityOwner } )
	end,
}