local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include("sim/simdefs")

local DECKARD_SOUNDS =
{
    bio = "",
    escapeVo = "",
	speech="SpySociety/Agents/dialogue_player",  
	step = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_NORMAL, 
	stealthStep = simdefs.SOUNDPATH_FOOTSTEP_MALE_HARDWOOD_SOFT,
					
	wallcover = "SpySociety/Movement/foley_trench/wallcover",
	crouchcover = "SpySociety/Movement/foley_trench/crouchcover",
	fall = "SpySociety/Movement/foley_trench/fall",					
	fall_knee = "SpySociety/Movement/bodyfall_agent_knee_hardwood",
	fall_kneeframe = 9,
	fall_hand = "SpySociety/Movement/bodyfall_agent_hand_hardwood",
	fall_handframe = 20,
	land = "SpySociety/Movement/deathfall_agent_hardwood",
	land_frame = 35,						
	getup = "SpySociety/Movement/foley_trench/getup",
	grab = "SpySociety/Movement/foley_trench/grab_guard",
	pin = "SpySociety/Movement/foley_trench/pin_guard",
	pinned = "SpySociety/Movement/foley_trench/pinned",	
	peek_fwd = "SpySociety/Movement/foley_trench/peek_forward",	
	peek_bwd = "SpySociety/Movement/foley_trench/peek_back",	
	move = "SpySociety/Movement/foley_trench/move",
	hit = "SpySociety/HitResponse/hitby_ballistic_flesh",
}

return
{
	urist = {
		type = "simunit",
		agentID = "urist",
		name = STRINGS.URIST.AGENT.NAME,
		fullname = STRINGS.URIST.AGENT.ALT_1.FULLNAME,
		codename = STRINGS.URIST.AGENT.ALT_1.FULLNAME,
		loadoutName = STRINGS.UI.ON_FILE,
		file = STRINGS.URIST.AGENT.FILE,
		yearsOfService = STRINGS.URIST.AGENT.YEARS_OF_SERVICE,
		age = STRINGS.URIST.AGENT.ALT_1.AGE,
		homeTown =  STRINGS.URIST.AGENT.HOMETOWN,
		gender = "male",
		toolTip = STRINGS.URIST.AGENT.ALT_1.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/urist_36.png",
		profile_icon_64x64= "gui/profile_icons/urist_64x64.png",
		splash_image = "gui/agents/urist_1024.png",
		team_select_img = {
			"gui/agents/team_select_1_urist.png",
		},
		profile_anim = "portraits/urist_face",
		-- profile_build = "portraits/urist_face",
		kanim = "kanim_urist",
		hireText =  STRINGS.URIST.AGENT.RESCUED,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax=8, },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = {},
		abilities = util.tconcat( {  "sprint",  }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {},
		sounds = DECKARD_SOUNDS,
		speech = STRINGS.URIST.AGENT.BANTER,
		blurb = STRINGS.URIST.AGENT.ALT_1.BIO,
		upgrades = { "augment_sockdropper", "item_atomsmasher" },
		logs = {},
	},
	urist_a = {
		type = "simunit",
		agentID = "urist",
		name = STRINGS.URIST.AGENT.NAME,
		fullname = STRINGS.URIST.AGENT.ALT_1.FULLNAME,
		codename = STRINGS.URIST.AGENT.ALT_2.FULLNAME,
		loadoutName = STRINGS.UI.ON_ARCHIVE,
		file = STRINGS.URIST.AGENT.FILE,
		yearsOfService = STRINGS.URIST.AGENT.YEARS_OF_SERVICE,
		age = STRINGS.URIST.AGENT.ALT_2.AGE,
		homeTown =  STRINGS.URIST.AGENT.HOMETOWN,
		gender = "male",
		toolTip = STRINGS.URIST.AGENT.ALT_2.TOOLTIP,
		onWorldTooltip = commondefs.onAgentTooltip,
		profile_icon_36x36= "gui/profile_icons/urist_36.png",
		profile_icon_64x64= "gui/profile_icons/urist_64x64.png",
		splash_image = "gui/agents/urist_1024.png",
		team_select_img = {
			"gui/agents/team_select_1_urist.png",
		},
		profile_anim = "portraits/urist_face",
		kanim = "kanim_urist",
		hireText =  STRINGS.URIST.AGENT.RESCUED,
		traits = util.extend( commondefs.DEFAULT_AGENT_TRAITS ) { mp=8, mpMax=8, },
		skills = util.extend( commondefs.DEFAULT_AGENT_SKILLS ) {}, 
		startingSkills = {},
		abilities = util.tconcat( {  "sprint",  }, commondefs.DEFAULT_AGENT_ABILITIES ),
		children = {},
		sounds = DECKARD_SOUNDS,
		speech = STRINGS.URIST.AGENT.BANTER,
		blurb = STRINGS.URIST.AGENT.ALT_2.BIO,
		upgrades = { "augment_wallbreacher", "item_dartgun" },
		logs = {},
	},
}
