local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local abilityutil = include( "sim/abilities/abilityutil" )
-- local simdefs = include( "sim/simdefs" )

local tool_templates =
{
	augment_sockdropper = util.extend(commondefs.augment_template)
	{
		name = STRINGS.URIST.SOCKDROPPER,
		desc = STRINGS.URIST.SOCKDROPPER_TIP,
		flavor = STRINGS.URIST.SOCKDROPPER_FLAVOR,
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			addAbilities = "sockdropper",
			installed = true,
		},
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_sockdropper_small.png",
    	profile_icon_100 = "gui/icons/item_icons/icon-item_sockdropper.png",
	},
	item_atomsmasher = util.extend(commondefs.item_template)
	{
		type = "simatomsmasher",
		name = STRINGS.URIST.ATOMSMASHER,
		desc = STRINGS.URIST.ATOMSMASHER_TIP,
		flavor = STRINGS.URIST.ATOMSMASHER_FLAVOR,
		icon = "itemrigs/FlashPack.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_atomsmasher_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_atomsmasher.png",
		uses_mainframe =
		{
			toggle =
			{
				name = STRINGS.URIST.ACTION_ATOMSMASHER,
				tooltip = STRINGS.URIST.ACTION_ATOMSMASHER_TIP,
				fn = "toggle", -- simactions
				canToggle = function(unit)
					if unit:getTraits().usesCharges and unit:getTraits().charges < 1 then
						return false, STRINGS.UI.REASON.CHARGES
					end
					if unit:getPlayerOwner():getCpus() < (unit:getTraits().PWRuse or 0) then
						return false, STRINGS.UI.REASON.NOT_ENOUGH_PWR
					end
					return abilityutil.canConsumeAmmo( unit:getSim(), unit )
				end,
			},
		},
		abilities = { "carryable", "reload", "prime_atomsmasher", "pickup_atomsmasher", }, --recharge
		requirements = {},
		traits = { ammo = 1, maxAmmo = 1, agent_filter = true, mainframe_status = "on", PWRuse = 8}, --mainframe_item = true, --charges = 1, chargesMax = 1, usesCharges = true,
		value = 200,
		notSoldAfter = 0,
		-- locator=true,
		createUpgradeParams = function( self, unit )
			return { traits = { ammo = unit:getTraits().ammo } }
		end,
		sounds = {reload="SpySociety/Weapons/Precise/reload_rifle"},
	},
	augment_wallbreacher = util.extend(commondefs.augment_template)
	{
		name = STRINGS.URIST.WALLBREACHER,
		desc = STRINGS.URIST.WALLBREACHER_TIP,
		flavor = STRINGS.URIST.WALLBREACHER_FLAVOR,
		traits = util.extend( commondefs.DEFAULT_AUGMENT_TRAITS ){
			addAbilities = "wallbreacher",
			installed = true,
		},
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_wallbreacher_small.png",
    	profile_icon_100 = "gui/icons/item_icons/icon-item_wallbreacher.png",
	},
}

return tool_templates